#---------------------------------------------------------
#
# compiler-opts.mak
#
#---------------------------------------------------------

# OS_LINUX:
BOOST_ROOT_RTE = /usr/include
BOOST_ROOT_APP = /usr/include
# OS_WINDOWS:
#BOOST_ROOT_RTE = "C:\Program Files\boost\boost_1_47_0"
#BOOST_ROOT_APP = "C:\Program Files\boost\boost_1_47_0"

#---------------------------------------------------------
# Debug Options for build
#---------------------------------------------------------
DEBUG_OPTS = -g -O0
#DEBUG_OPTS = -O1
DEBUG_LEVEL = 3

#---------------------------------------------------------
# Warning Level Configuration
#---------------------------------------------------------
WARNINGS=-Wall

#---------------------------------------------------------
# Target Defines for the OS, etc..
#---------------------------------------------------------
# OS_LINUX:
OS=LINUX
# OS_WINDOWS:
# OS already definded

TARGET_DEFS=-D$(OS) -DBOOST_THREAD_USE_LIB

#---------------------------------------------------------
# gcc options for compiling and dependency generation
#---------------------------------------------------------
COPTS = $(TARGET_DEFS) $(WARNINGS)

#---------------------------------------------------------
# Host Development System and Toolchain definitions
#---------------------------------------------------------

#
# Host OS utils
#
# OS_LINUX:
RM=rm -f
CP=cp
# OS_WINDOWS:
#RM=del
#CP=copy

#
# Compiler tools
#
COMPILER=gcc
COMPILERCPP=g++
AR=ar
