/*
 * File: TsmSystem.h
 * Date: 20 aug 2011
 * Time: 14:15:12
 * Generated by TismTool version 0.7
 */

/*
 * Overview of identifications
 * ---------------------------
 * Ports:
 *     27 ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker )
 *     71 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers )
 *     72 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave )
 *     73 ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker )
 *    116 ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port )
 *    126 ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port )
 *    137 ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port )
 *    152 ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port )
 *    168 ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port )
 *    196 ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port )
 * Triggers:
 *      1 void IChecker___Check()
 *      2 int IHowlers___GetInfo()
 *      3 void IHowlers___Pause()
 *      4 void IHowlers___Slow()
 *      5 void IHowlers___Start()
 *      6 void IHowlers___Stop()
 *      7 void IHowlers___Test()
 *      8 void ICbSlave___CbOutSync()
 *      9 void ICbSlave___CbStarted()
 *     10 void ICbSlave___CbStopped()
 *     11 void ICbChecker___CbChecked()
 *     12 void ISlave___Start()
 *     13 void ISlave___Stop()
 *     14 void ICbHowlers___CbPaused()
 *     15 void ICbHowlers___CbSlowed()
 *     16 void ICbHowlers___CbStarted()
 *     17 void ICbHowlers___CbStopped()
 *     18 void ICbHowlers___CbOutSync()
 * Natives:
 *   -133 ( CheckerClientPsm >> Idle ) ->
 *        ( CheckerClientPsm >> Checking )
 *        Check();
 *   -148 ( SlaveClientPsm >> Idle ) ->
 *        ( SlaveClientPsm >> Starting )
 *        Start();
 *   -149 ( SlaveClientPsm >> Busy ) ->
 *        ( SlaveClientPsm >> Stopping )
 *        Stop();
 *    162 ( SlaveServerPsm >> Starting ) ->
 *        ( SlaveServerPsm >> Busy )
 *        CbStarted();
 *    164 ( SlaveServerPsm >> Stopping ) ->
 *        ( SlaveServerPsm >> Idle )
 *        CbStopped();
 *    165 ( SlaveServerPsm >> Busy ) ->
 *        ( SlaveServerPsm >> Busy )
 *        CbOutSync();
 *   -181 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> JuncState )
 *        Slow();
 *   -184 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> Active >> Test )
 *        Test();
 *   -185 ( HowlersClientPsm >> Active >> Busy ) ->
 *        ( HowlersClientPsm >> Active >> Pausing )
 *        Pause();
 *   -187 ( HowlersClientPsm >> Active >> Starting ) ->
 *        ( HowlersClientPsm >> Active >> Starting )
 *        GetInfo();
 *   -191 ( HowlersClientPsm >> Idle ) ->
 *        ( HowlersClientPsm >> Active >> Starting )
 *        Start();
 *   -194 ( HowlersClientPsm >> Active ) ->
 *        ( HowlersClientPsm >> Stopping )
 *        Stop();
 *    209 ( HowlersServerPsm >> Active >> Pausing ) ->
 *        ( HowlersServerPsm >> Active >> Busy )
 *        CbPaused();
 *    210 ( HowlersServerPsm >> Active >> Busy ) ->
 *        ( HowlersServerPsm >> Active >> OutSync )
 *        CbOutSync();
 *    214 ( HowlersServerPsm >> Active >> Starting ) ->
 *        ( HowlersServerPsm >> Active >> Busy )
 *        CbStarted();
 *    220 ( HowlersServerPsm >> Stopping ) ->
 *        ( HowlersServerPsm >> Idle )
 *        CbStopped();
 */

#ifndef TSM_SYSTEM_H
#define TSM_SYSTEM_H

#include "TsmIncludes.h"
#include "TsmInterfaces.h"
using namespace std;
using namespace TsmRTE;

namespace Howlers
{
  /********************************************************************
   * PACKAGE: ( Xmi > UML Standard Profile > MagicDraw Profile > datatypes )
   ********************************************************************/

   // ( Xmi > UML Standard Profile > MagicDraw Profile > datatypes )
  class Pac_0002_0003 : public TsmPackage
  {
  public:
    Pac_0002_0003( TsmBase* oParent )
    {
      TsmName = "datatypes";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > UML Standard Profile > MagicDraw Profile )
   ********************************************************************/

   // ( Xmi > UML Standard Profile > MagicDraw Profile )
  class Pac_0001_0002 : public TsmPackage
  {
  public:
    Pac_0001_0002( TsmBase* oParent )
    {
      TsmName = "MagicDraw Profile";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > UML Standard Profile > StandardProfileL3 )
   ********************************************************************/

   // ( Xmi > UML Standard Profile > StandardProfileL3 )
  class Pac_0001_0004 : public TsmPackage
  {
  public:
    Pac_0001_0004( TsmBase* oParent )
    {
      TsmName = "StandardProfileL3";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > UML Standard Profile > StandardProfileL2 )
   ********************************************************************/

   // ( Xmi > UML Standard Profile > StandardProfileL2 )
  class Pac_0001_0005 : public TsmPackage
  {
  public:
    Pac_0001_0005( TsmBase* oParent )
    {
      TsmName = "StandardProfileL2";
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> InitialState )
  class Ini_0170_0171 : public TsmPseudo
  {
  public:
    Ini_0170_0171( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 190, "( HowlersClientPsm >> InitialState ) => ( HowlersClientPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 190: // UP: ( HowlersClientPsm >> InitialState ) => ( HowlersClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> JuncState )
  class Jun_0170_0172 : public TsmPseudo
  {
  public:
    Jun_0170_0172( TsmBase* oParent )
    {
      TsmName = "JuncState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 192, "( HowlersClientPsm >> JuncState ) => ( HowlersClientPsm >> Active >> Slow )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0174_0181( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 192: // UP: ( HowlersClientPsm >> JuncState ) => ( HowlersClientPsm >> Active >> Slow )
        bHigher = true;
        break;
      case 181:
        Tra_0174_0181( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Starting )
  class Lea_0174_0175 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0174_0175( TsmBase* oParent )
    {
      TsmName = "Starting";
      TsmParent = oParent;
      mNrTransitions = 2;
      mTransitions = new TsmTransition*[ 2 ];
      mTransitions[ 0 ] = new TsmTransition( 187, "( HowlersClientPsm >> Active >> Starting ) => ( HowlersClientPsm >> Active >> Starting )" );
      mTransitions[ 1 ] = new TsmTransition( 186, "( HowlersClientPsm >> Active >> Starting ) => ( HowlersClientPsm >> Active >> Busy ) : CbStarted" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0174_0187( TsmHandler& oHandler );
    void Tra_0170_0191( TsmHandler& oHandler );
    void Port___CbStarted( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 187:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 168:
        switch ( Command )
        {
        case 16:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 187:
        Tra_0174_0187( oHandler );
        break;
      case 191:
        Tra_0170_0191( oHandler );
        break;
      case 186: // UP: ( HowlersClientPsm >> Active >> Starting ) => ( HowlersClientPsm >> Active >> Busy )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> OutSync )
  class Lea_0174_0176 : public TsmLeaf
  {
  public:
    Lea_0174_0176( TsmBase* oParent )
    {
      TsmName = "OutSync";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0174_0183( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 183:
        Tra_0174_0183( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Slow )
  class Lea_0174_0177 : public TsmLeaf
  {
  public:
    Lea_0174_0177( TsmBase* oParent )
    {
      TsmName = "Slow";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Tra_0170_0192( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 192:
        Tra_0170_0192( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Busy )
  class Lea_0174_0178 : public TsmLeaf
  {
  private:
    static const int aNatives[3];

  public:
    Lea_0174_0178( TsmBase* oParent )
    {
      TsmName = "Busy";
      TsmParent = oParent;
      mNrTransitions = 4;
      mTransitions = new TsmTransition*[ 4 ];
      mTransitions[ 0 ] = new TsmTransition( 181, "( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> JuncState )" );
      mTransitions[ 1 ] = new TsmTransition( 184, "( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> Test )" );
      mTransitions[ 2 ] = new TsmTransition( 185, "( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> Pausing )" );
      mTransitions[ 3 ] = new TsmTransition( 183, "( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> OutSync ) : CbOutSync" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0174_0182( TsmHandler& oHandler );
    void Tra_0174_0186( TsmHandler& oHandler );
    void Port___CbOutSync( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 181:
          return TsmProspect::OK;
        case 184:
          return TsmProspect::OK;
        case 185:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 168:
        switch ( Command )
        {
        case 18:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 181: // UP: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> JuncState )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 184: // UP: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> Test )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 185: // UP: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> Pausing )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 182:
        Tra_0174_0182( oHandler );
        break;
      case 186:
        Tra_0174_0186( oHandler );
        break;
      case 183: // UP: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> Active >> OutSync )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Pausing )
  class Lea_0174_0179 : public TsmLeaf
  {
  public:
    Lea_0174_0179( TsmBase* oParent )
    {
      TsmName = "Pausing";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 182, "( HowlersClientPsm >> Active >> Pausing ) => ( HowlersClientPsm >> Active >> Busy ) : CbPaused" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0174_0185( TsmHandler& oHandler );
    void Port___CbPaused( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 168:
        switch ( Command )
        {
        case 14:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 185:
        Tra_0174_0185( oHandler );
        break;
      case 182: // UP: ( HowlersClientPsm >> Active >> Pausing ) => ( HowlersClientPsm >> Active >> Busy )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Test )
  class Lea_0174_0180 : public TsmLeaf
  {
  public:
    Lea_0174_0180( TsmBase* oParent )
    {
      TsmName = "Test";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0174_0184( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 184:
        Tra_0174_0184( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >)
  class Reg_0173_0174 : public TsmRegion
  {
  private:
    Lea_0174_0175* oLea_0174_0175; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Starting )
    Lea_0174_0176* oLea_0174_0176; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> OutSync )
    Lea_0174_0177* oLea_0174_0177; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Slow )
    Lea_0174_0178* oLea_0174_0178; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Busy )
    Lea_0174_0179* oLea_0174_0179; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Pausing )
    Lea_0174_0180* oLea_0174_0180; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >> Test )

  public:
    Reg_0173_0174( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oLea_0174_0175 = new Lea_0174_0175( this );
      oLea_0174_0176 = new Lea_0174_0176( this );
      oLea_0174_0177 = new Lea_0174_0177( this );
      oLea_0174_0178 = new Lea_0174_0178( this );
      oLea_0174_0179 = new Lea_0174_0179( this );
      oLea_0174_0180 = new Lea_0174_0180( this );
      mNrStates = 6;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oLea_0174_0175;
      mStates[ 1 ] = oLea_0174_0176;
      mStates[ 2 ] = oLea_0174_0177;
      mStates[ 3 ] = oLea_0174_0178;
      mStates[ 4 ] = oLea_0174_0179;
      mStates[ 5 ] = oLea_0174_0180;
    }

    void Tra_0170_0192( TsmHandler& oHandler );
    void Tra_0174_0184( TsmHandler& oHandler );
    void Tra_0174_0185( TsmHandler& oHandler );
    void Tra_0170_0191( TsmHandler& oHandler );
    void Tra_0174_0182( TsmHandler& oHandler );
    void Tra_0174_0186( TsmHandler& oHandler );
    void Tra_0174_0183( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 187:
          return TsmProspect::OK;
        case 181:
          return TsmProspect::OK;
        case 184:
          return TsmProspect::OK;
        case 185:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 168:
        switch ( Command )
        {
        case 14:
          return TsmProspect::OK;
        case 16:
          return TsmProspect::OK;
        case 18:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 192:
        Tra_0170_0192( oHandler );
        break;
      case 181: // Up: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> JuncState )
        mCurrentState = NULL;
        bHigher = true;
        break;
      case 184:
        Tra_0174_0184( oHandler );
        break;
      case 185:
        Tra_0174_0185( oHandler );
        break;
      case 191:
        Tra_0170_0191( oHandler );
        break;
      case 182:
        Tra_0174_0182( oHandler );
        break;
      case 186:
        Tra_0174_0186( oHandler );
        break;
      case 183:
        Tra_0174_0183( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active )
  class Com_0170_0173 : public TsmCompound
  {
  private:
    static const int aNatives[1];
    Reg_0173_0174* oReg_0173_0174; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active >)

  public:
    Com_0170_0173( TsmBase* oParent )
    {
      TsmName = "Active";
      TsmParent = oParent;
      oReg_0173_0174 = new Reg_0173_0174( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0173_0174;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 194, "( HowlersClientPsm >> Active ) => ( HowlersClientPsm >> Stopping )" );
    }

    void Tra_0170_0192( TsmHandler& oHandler );
    void Tra_0170_0191( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtMyExit( TsmHandler& oHandler );
    void ExecuteTriggerCompound( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 194:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 192:
        Tra_0170_0192( oHandler );
        break;
      case 194: // UP: ( HowlersClientPsm >> Active ) => ( HowlersClientPsm >> Stopping )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 181: // UP: ( HowlersClientPsm >> Active >> Busy ) => ( HowlersClientPsm >> JuncState )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 191:
        Tra_0170_0191( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Idle )
  class Lea_0170_0188 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0170_0188( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 191, "( HowlersClientPsm >> Idle ) => ( HowlersClientPsm >> Active >> Starting )" );
    }

    void Tra_0170_0190( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0170_0193( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 191:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 190:
        Tra_0170_0190( oHandler );
        break;
      case 191: // UP: ( HowlersClientPsm >> Idle ) => ( HowlersClientPsm >> Active >> Starting )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 193:
        Tra_0170_0193( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Stopping )
  class Lea_0170_0189 : public TsmLeaf
  {
  public:
    Lea_0170_0189( TsmBase* oParent )
    {
      TsmName = "Stopping";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 193, "( HowlersClientPsm >> Stopping ) => ( HowlersClientPsm >> Idle ) : CbStopped" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0170_0194( TsmHandler& oHandler );
    void Port___CbStopped( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 168:
        switch ( Command )
        {
        case 17:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 194:
        Tra_0170_0194( oHandler );
        break;
      case 193: // UP: ( HowlersClientPsm >> Stopping ) => ( HowlersClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >)
  class Reg_0169_0170 : public TsmRegion
  {
  private:
    Ini_0170_0171* oIni_0170_0171; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> InitialState )
    Jun_0170_0172* oJun_0170_0172; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> JuncState )
    Com_0170_0173* oCom_0170_0173; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Active )
    Lea_0170_0188* oLea_0170_0188; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Idle )
    Lea_0170_0189* oLea_0170_0189; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >> Stopping )

  public:
    Reg_0169_0170( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0170_0171 = new Ini_0170_0171( this );
      oJun_0170_0172 = new Jun_0170_0172( this );
      oCom_0170_0173 = new Com_0170_0173( this );
      oLea_0170_0188 = new Lea_0170_0188( this );
      oLea_0170_0189 = new Lea_0170_0189( this );
      mNrStates = 5;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0170_0171;
      mStates[ 1 ] = oJun_0170_0172;
      mStates[ 2 ] = oCom_0170_0173;
      mStates[ 3 ] = oLea_0170_0188;
      mStates[ 4 ] = oLea_0170_0189;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0170_0190( TsmHandler& oHandler );
    void Tra_0170_0192( TsmHandler& oHandler );
    void Tra_0170_0194( TsmHandler& oHandler );
    void Tra_0174_0181( TsmHandler& oHandler );
    void Tra_0170_0191( TsmHandler& oHandler );
    void Tra_0170_0193( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 194:
          return TsmProspect::OK;
        case 187:
          return TsmProspect::OK;
        case 181:
          return TsmProspect::OK;
        case 184:
          return TsmProspect::OK;
        case 185:
          return TsmProspect::OK;
        case 191:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 168:
        switch ( Command )
        {
        case 14:
          return TsmProspect::OK;
        case 16:
          return TsmProspect::OK;
        case 17:
          return TsmProspect::OK;
        case 18:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 190:
        Tra_0170_0190( oHandler );
        break;
      case 192:
        Tra_0170_0192( oHandler );
        break;
      case 194:
        Tra_0170_0194( oHandler );
        break;
      case 181:
        Tra_0174_0181( oHandler );
        break;
      case 191:
        Tra_0170_0191( oHandler );
        break;
      case 193:
        Tra_0170_0193( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm )
  class Fsm_0167_0169 : public TsmFsm
  {
  private:
    Reg_0169_0170* oReg_0169_0170; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm >)

  public:
    Fsm_0167_0169( TsmBase* oParent )
    {
      TsmName = "HowlersClientPsm";
      TsmParent = oParent;
      oReg_0169_0170 = new Reg_0169_0170( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0169_0170;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient )
  class Cla_0166_0167 : public TsmProtocolClass
  {
  private:
    Fsm_0167_0169* oFsm_0167_0169; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > HowlersClientPsm )
    TsmIPort_IHowlers* Port; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port )
    TsmIPort_ICbHowlers* TsmPI__Port; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > Port )
    TsmPCPort* mPCMessager;

  public:
    Cla_0166_0167( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0167_0169 = new Fsm_0167_0169( this );
      TsmPI__Port = new TsmIPort_ICbHowlers( this );
      mPCMessager = new TsmPCPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0167_0169;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_IHowlers*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0167_0169->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1012( TsmHandler& oHandler );
    void Function_1013( TsmHandler& oHandler );
    void Function_1014( TsmHandler& oHandler );
    void Function_1015( TsmHandler& oHandler );
    void Function_1016( TsmHandler& oHandler );
    void Function_1017( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0166_0167()
    {
      delete TsmPI__Port;
      delete mPCMessager;
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv2 > Ui )
  class Com_0008_0001 : public TsmPComponent
  {
  private:
    Cla_0166_0167* InsHowlersClient; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > InsHowlersClient )

  public:
    Com_0008_0001( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      InsHowlersClient = new Cla_0166_0167( this, "InsHowlersClient" );
      InsHowlersClient->IsMock = true;
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = InsHowlersClient;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "rp_howlers" )
      {
        return InsHowlersClient->GetProvidedInterface( "Port" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Ui )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "rp_howlers" )
      {
        InsHowlersClient->SetRequiredInterface( "Port", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Ui )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> InitialState )
  class Ini_0154_0155 : public TsmPseudo
  {
  public:
    Ini_0154_0155( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 160, "( SlaveServerPsm >> InitialState ) => ( SlaveServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 160: // UP: ( SlaveServerPsm >> InitialState ) => ( SlaveServerPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Idle )
  class Lea_0154_0156 : public TsmLeaf
  {
  public:
    Lea_0154_0156( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 161, "( SlaveServerPsm >> Idle ) => ( SlaveServerPsm >> Starting ) : Start" );
    }

    void Tra_0154_0160( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0154_0164( TsmHandler& oHandler );
    void Port___Start( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 152:
        switch ( Command )
        {
        case 12:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 160:
        Tra_0154_0160( oHandler );
        break;
      case 164:
        Tra_0154_0164( oHandler );
        break;
      case 161: // UP: ( SlaveServerPsm >> Idle ) => ( SlaveServerPsm >> Starting )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Starting )
  class Lea_0154_0157 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0154_0157( TsmBase* oParent )
    {
      TsmName = "Starting";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 162, "( SlaveServerPsm >> Starting ) => ( SlaveServerPsm >> Busy )" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0154_0161( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 162:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 162: // UP: ( SlaveServerPsm >> Starting ) => ( SlaveServerPsm >> Busy )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 161:
        Tra_0154_0161( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Busy )
  class Lea_0154_0158 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0154_0158( TsmBase* oParent )
    {
      TsmName = "Busy";
      TsmParent = oParent;
      mNrTransitions = 2;
      mTransitions = new TsmTransition*[ 2 ];
      mTransitions[ 0 ] = new TsmTransition( 165, "( SlaveServerPsm >> Busy ) => ( SlaveServerPsm >> Busy )" );
      mTransitions[ 1 ] = new TsmTransition( 163, "( SlaveServerPsm >> Busy ) => ( SlaveServerPsm >> Stopping ) : Stop" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0154_0162( TsmHandler& oHandler );
    void Tra_0154_0165( TsmHandler& oHandler );
    void Port___Stop( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 165:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 152:
        switch ( Command )
        {
        case 13:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 162:
        Tra_0154_0162( oHandler );
        break;
      case 165:
        Tra_0154_0165( oHandler );
        break;
      case 163: // UP: ( SlaveServerPsm >> Busy ) => ( SlaveServerPsm >> Stopping )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Stopping )
  class Lea_0154_0159 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0154_0159( TsmBase* oParent )
    {
      TsmName = "Stopping";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 164, "( SlaveServerPsm >> Stopping ) => ( SlaveServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0154_0163( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 164:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 164: // UP: ( SlaveServerPsm >> Stopping ) => ( SlaveServerPsm >> Idle )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 163:
        Tra_0154_0163( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >)
  class Reg_0153_0154 : public TsmRegion
  {
  private:
    Ini_0154_0155* oIni_0154_0155; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> InitialState )
    Lea_0154_0156* oLea_0154_0156; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Idle )
    Lea_0154_0157* oLea_0154_0157; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Starting )
    Lea_0154_0158* oLea_0154_0158; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Busy )
    Lea_0154_0159* oLea_0154_0159; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >> Stopping )

  public:
    Reg_0153_0154( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0154_0155 = new Ini_0154_0155( this );
      oLea_0154_0156 = new Lea_0154_0156( this );
      oLea_0154_0157 = new Lea_0154_0157( this );
      oLea_0154_0158 = new Lea_0154_0158( this );
      oLea_0154_0159 = new Lea_0154_0159( this );
      mNrStates = 5;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0154_0155;
      mStates[ 1 ] = oLea_0154_0156;
      mStates[ 2 ] = oLea_0154_0157;
      mStates[ 3 ] = oLea_0154_0158;
      mStates[ 4 ] = oLea_0154_0159;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0154_0160( TsmHandler& oHandler );
    void Tra_0154_0162( TsmHandler& oHandler );
    void Tra_0154_0164( TsmHandler& oHandler );
    void Tra_0154_0161( TsmHandler& oHandler );
    void Tra_0154_0163( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 162:
          return TsmProspect::OK;
        case 165:
          return TsmProspect::OK;
        case 164:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 152:
        switch ( Command )
        {
        case 12:
          return TsmProspect::OK;
        case 13:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 160:
        Tra_0154_0160( oHandler );
        break;
      case 162:
        Tra_0154_0162( oHandler );
        break;
      case 164:
        Tra_0154_0164( oHandler );
        break;
      case 161:
        Tra_0154_0161( oHandler );
        break;
      case 163:
        Tra_0154_0163( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm )
  class Fsm_0151_0153 : public TsmFsm
  {
  private:
    Reg_0153_0154* oReg_0153_0154; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm >)

  public:
    Fsm_0151_0153( TsmBase* oParent )
    {
      TsmName = "SlaveServerPsm";
      TsmParent = oParent;
      oReg_0153_0154 = new Reg_0153_0154( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0153_0154;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer )
  class Cla_0135_0151 : public TsmProtocolClass
  {
  private:
    Fsm_0151_0153* oFsm_0151_0153; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > SlaveServerPsm )
    TsmIPort_ISlave* TsmPI__Port; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port )
    TsmIPort_ICbSlave* Port; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > Port )
    TsmPSPort* mPSMessager;

  public:
    Cla_0135_0151( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0151_0153 = new Fsm_0151_0153( this );
      TsmPI__Port = new TsmIPort_ISlave( this );
      mPSMessager = new TsmPSPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0151_0153;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_ICbSlave*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0151_0153->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1009( TsmHandler& oHandler );
    void Function_1010( TsmHandler& oHandler );
    void Function_1011( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0135_0151()
    {
      delete TsmPI__Port;
      delete mPSMessager;
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv2 > Slave )
  class Com_0008_0003 : public TsmPComponent
  {
  private:
    Cla_0135_0151* InsSlaveServer; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > InsSlaveServer )

  public:
    Com_0008_0003( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      InsSlaveServer = new Cla_0135_0151( this, "InsSlaveServer" );
      InsSlaveServer->IsMock = true;
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = InsSlaveServer;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_slave" )
      {
        return InsSlaveServer->GetProvidedInterface( "Port" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Slave )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_slave" )
      {
        InsSlaveServer->SetRequiredInterface( "Port", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Slave )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> InitialState )
  class Ini_0075_0076 : public TsmPseudo
  {
  public:
    Ini_0075_0076( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 106, "( HowlersFsm >> InitialState ) => ( HowlersFsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 106: // UP: ( HowlersFsm >> InitialState ) => ( HowlersFsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState )
  class Ini_0078_0079 : public TsmPseudo
  {
  public:
    Ini_0078_0079( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 95, "( HowlersFsm >> Active >> InitialState ) => ( HowlersFsm >> Active >> Starting )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 95: // UP: ( HowlersFsm >> Active >> InitialState ) => ( HowlersFsm >> Active >> Starting )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> JuncState )
  class Jun_0078_0080 : public TsmPseudo
  {
  public:
    Jun_0078_0080( TsmBase* oParent )
    {
      TsmName = "JuncState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 110, "( HowlersFsm >> Active >> JuncState ) => ( HowlersFsm >> Active >> Slow )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0078_0096( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 110: // UP: ( HowlersFsm >> Active >> JuncState ) => ( HowlersFsm >> Active >> Slow )
        bHigher = true;
        break;
      case 96:
        Tra_0078_0096( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Starting )
  class Lea_0078_0081 : public TsmLeaf
  {
  public:
    Lea_0078_0081( TsmBase* oParent )
    {
      TsmName = "Starting";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 92, "( HowlersFsm >> Active >> Starting ) => ( HowlersFsm >> Active >> Busy ) : rp_slave->CbStarted" );
    }

    void Tra_0078_0095( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void rp_slave___CbStarted( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 72:
        switch ( Command )
        {
        case 9:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 95:
        Tra_0078_0095( oHandler );
        break;
      case 92: // UP: ( HowlersFsm >> Active >> Starting ) => ( HowlersFsm >> Active >> Busy )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> OutSync )
  class Lea_0078_0082 : public TsmLeaf
  {
  public:
    Lea_0078_0082( TsmBase* oParent )
    {
      TsmName = "OutSync";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0078_0089( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 89:
        Tra_0078_0089( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Slow )
  class Lea_0078_0083 : public TsmLeaf
  {
  public:
    Lea_0078_0083( TsmBase* oParent )
    {
      TsmName = "Slow";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Tra_0075_0110( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 110:
        Tra_0075_0110( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Busy )
  class Lea_0078_0084 : public TsmLeaf
  {
  public:
    Lea_0078_0084( TsmBase* oParent )
    {
      TsmName = "Busy";
      TsmParent = oParent;
      mNrTransitions = 4;
      mTransitions = new TsmTransition*[ 4 ];
      mTransitions[ 0 ] = new TsmTransition( 91, "( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> Pausing ) : pp_howlers->Pause" );
      mTransitions[ 1 ] = new TsmTransition( 96, "( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> JuncState ) : pp_howlers->Slow" );
      mTransitions[ 2 ] = new TsmTransition( 90, "( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> Test ) : pp_howlers->Test" );
      mTransitions[ 3 ] = new TsmTransition( 89, "( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> OutSync ) : rp_slave->CbOutSync" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0078_0088( TsmHandler& oHandler );
    void pp_howlers___Pause( TsmHandler& oHandler );
    void pp_howlers___Slow( TsmHandler& oHandler );
    void pp_howlers___Test( TsmHandler& oHandler );
    void rp_slave___CbOutSync( TsmHandler& oHandler );
    void Tra_0078_0092( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 71
      case 72:
        switch ( Command )
        {
        case 8:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 88:
        Tra_0078_0088( oHandler );
        break;
      case 91: // UP: ( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> Pausing )
        bHigher = true;
        break;
      case 96: // UP: ( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> JuncState )
        bHigher = true;
        break;
      case 90: // UP: ( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> Test )
        bHigher = true;
        break;
      case 89: // UP: ( HowlersFsm >> Active >> Busy ) => ( HowlersFsm >> Active >> OutSync )
        bHigher = true;
        break;
      case 92:
        Tra_0078_0092( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Pausing )
  class Lea_0078_0085 : public TsmLeaf
  {
  public:
    Lea_0078_0085( TsmBase* oParent )
    {
      TsmName = "Pausing";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 88, "( HowlersFsm >> Active >> Pausing ) => ( HowlersFsm >> Active >> Busy )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0078_0091( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 88: // UP: ( HowlersFsm >> Active >> Pausing ) => ( HowlersFsm >> Active >> Busy )
        bHigher = true;
        break;
      case 91:
        Tra_0078_0091( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Test )
  class Lea_0078_0086 : public TsmLeaf
  {
  public:
    Lea_0078_0086( TsmBase* oParent )
    {
      TsmName = "Test";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 93, "( HowlersFsm >> Active >> Test ) => ( HowlersFsm >> Active >> Again )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0078_0090( TsmHandler& oHandler );
    void Tra_0078_0094( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 93: // UP: ( HowlersFsm >> Active >> Test ) => ( HowlersFsm >> Active >> Again )
        bHigher = true;
        break;
      case 90:
        Tra_0078_0090( oHandler );
        break;
      case 94:
        Tra_0078_0094( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Again )
  class Lea_0078_0087 : public TsmLeaf
  {
  public:
    Lea_0078_0087( TsmBase* oParent )
    {
      TsmName = "Again";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 94, "( HowlersFsm >> Active >> Again ) => ( HowlersFsm >> Active >> Test ) : rp_checker->CbChecked" );
    }

    void Tra_0078_0093( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void rp_checker___CbChecked( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 73:
        switch ( Command )
        {
        case 11:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 93:
        Tra_0078_0093( oHandler );
        break;
      case 94: // UP: ( HowlersFsm >> Active >> Again ) => ( HowlersFsm >> Active >> Test )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >)
  class Reg_0077_0078 : public TsmRegion
  {
  private:
    Ini_0078_0079* oIni_0078_0079; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState )
    Jun_0078_0080* oJun_0078_0080; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> JuncState )
    Lea_0078_0081* oLea_0078_0081; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Starting )
    Lea_0078_0082* oLea_0078_0082; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> OutSync )
    Lea_0078_0083* oLea_0078_0083; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Slow )
    Lea_0078_0084* oLea_0078_0084; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Busy )
    Lea_0078_0085* oLea_0078_0085; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Pausing )
    Lea_0078_0086* oLea_0078_0086; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Test )
    Lea_0078_0087* oLea_0078_0087; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Again )

  public:
    Reg_0077_0078( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0078_0079 = new Ini_0078_0079( this );
      oJun_0078_0080 = new Jun_0078_0080( this );
      oLea_0078_0081 = new Lea_0078_0081( this );
      oLea_0078_0082 = new Lea_0078_0082( this );
      oLea_0078_0083 = new Lea_0078_0083( this );
      oLea_0078_0084 = new Lea_0078_0084( this );
      oLea_0078_0085 = new Lea_0078_0085( this );
      oLea_0078_0086 = new Lea_0078_0086( this );
      oLea_0078_0087 = new Lea_0078_0087( this );
      mNrStates = 9;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0078_0079;
      mStates[ 1 ] = oJun_0078_0080;
      mStates[ 2 ] = oLea_0078_0081;
      mStates[ 3 ] = oLea_0078_0082;
      mStates[ 4 ] = oLea_0078_0083;
      mStates[ 5 ] = oLea_0078_0084;
      mStates[ 6 ] = oLea_0078_0085;
      mStates[ 7 ] = oLea_0078_0086;
      mStates[ 8 ] = oLea_0078_0087;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0078_0095( TsmHandler& oHandler );
    void Tra_0075_0110( TsmHandler& oHandler );
    void Tra_0078_0088( TsmHandler& oHandler );
    void Tra_0078_0093( TsmHandler& oHandler );
    void Tra_0078_0091( TsmHandler& oHandler );
    void Tra_0078_0096( TsmHandler& oHandler );
    void Tra_0078_0090( TsmHandler& oHandler );
    void Tra_0078_0089( TsmHandler& oHandler );
    void Tra_0078_0092( TsmHandler& oHandler );
    void Tra_0078_0094( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 71
      case 72:
        switch ( Command )
        {
        case 8:
          return TsmProspect::OK;
        case 9:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 72
      case 73:
        switch ( Command )
        {
        case 11:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 95:
        Tra_0078_0095( oHandler );
        break;
      case 110:
        Tra_0075_0110( oHandler );
        break;
      case 88:
        Tra_0078_0088( oHandler );
        break;
      case 93:
        Tra_0078_0093( oHandler );
        break;
      case 91:
        Tra_0078_0091( oHandler );
        break;
      case 96:
        Tra_0078_0096( oHandler );
        break;
      case 90:
        Tra_0078_0090( oHandler );
        break;
      case 89:
        Tra_0078_0089( oHandler );
        break;
      case 92:
        Tra_0078_0092( oHandler );
        break;
      case 94:
        Tra_0078_0094( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState )
  class Ini_0097_0098 : public TsmPseudo
  {
  public:
    Ini_0097_0098( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 101, "( HowlersFsm >> Active >> InitialState ) => ( HowlersFsm >> Active >> Wait )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 101: // UP: ( HowlersFsm >> Active >> InitialState ) => ( HowlersFsm >> Active >> Wait )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Wait )
  class Lea_0097_0099 : public TsmLeaf
  {
  public:
    Lea_0097_0099( TsmBase* oParent )
    {
      TsmName = "Wait";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 102, "( HowlersFsm >> Active >> Wait ) => ( HowlersFsm >> Active >> Info ) : rp_slave->CbStarted" );
    }

    void Tra_0097_0101( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void rp_slave___CbStarted( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 72:
        switch ( Command )
        {
        case 9:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 101:
        Tra_0097_0101( oHandler );
        break;
      case 102: // UP: ( HowlersFsm >> Active >> Wait ) => ( HowlersFsm >> Active >> Info )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Info )
  class Lea_0097_0100 : public TsmLeaf
  {
  public:
    Lea_0097_0100( TsmBase* oParent )
    {
      TsmName = "Info";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 103, "( HowlersFsm >> Active >> Info ) => ( HowlersFsm >> Active >> Info ) : pp_howlers->GetInfo" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0097_0103( TsmHandler& oHandler );
    void pp_howlers___GetInfo( TsmHandler& oHandler );
    void Tra_0097_0102( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 2:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 103:
        Tra_0097_0103( oHandler );
        break;
      case 102:
        Tra_0097_0102( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >)
  class Reg_0077_0097 : public TsmRegion
  {
  private:
    Ini_0097_0098* oIni_0097_0098; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> InitialState )
    Lea_0097_0099* oLea_0097_0099; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Wait )
    Lea_0097_0100* oLea_0097_0100; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >> Info )

  public:
    Reg_0077_0097( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0097_0098 = new Ini_0097_0098( this );
      oLea_0097_0099 = new Lea_0097_0099( this );
      oLea_0097_0100 = new Lea_0097_0100( this );
      mNrStates = 3;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0097_0098;
      mStates[ 1 ] = oLea_0097_0099;
      mStates[ 2 ] = oLea_0097_0100;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0097_0101( TsmHandler& oHandler );
    void Tra_0097_0102( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 2:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 71
      case 72:
        switch ( Command )
        {
        case 9:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 101:
        Tra_0097_0101( oHandler );
        break;
      case 102:
        Tra_0097_0102( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active )
  class Com_0075_0077 : public TsmCompound
  {
  private:
    Reg_0077_0078* oReg_0077_0078; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >)
    Reg_0077_0097* oReg_0077_0097; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active >)

  public:
    Com_0075_0077( TsmBase* oParent )
    {
      TsmName = "Active";
      TsmParent = oParent;
      oReg_0077_0078 = new Reg_0077_0078( this );
      oReg_0077_0097 = new Reg_0077_0097( this );
      mNrRegions = 2;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0077_0078;
      mRegions[ 1 ] = oReg_0077_0097;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 108, "( HowlersFsm >> Active ) => ( HowlersFsm >> Stopping ) : pp_howlers->Stop" );
    }

    void Tra_0075_0109( TsmHandler& oHandler );
    void pp_howlers___Stop( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTriggerCompound( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 6:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 109:
        Tra_0075_0109( oHandler );
        break;
      case 108: // UP: ( HowlersFsm >> Active ) => ( HowlersFsm >> Stopping )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Idle )
  class Lea_0075_0104 : public TsmLeaf
  {
  public:
    Lea_0075_0104( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 109, "( HowlersFsm >> Idle ) => ( HowlersFsm >> Active ) : pp_howlers->Start" );
    }

    void Tra_0075_0106( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void pp_howlers___Start( TsmHandler& oHandler );
    void Tra_0075_0107( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 5:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 106:
        Tra_0075_0106( oHandler );
        break;
      case 109: // UP: ( HowlersFsm >> Idle ) => ( HowlersFsm >> Active )
        bHigher = true;
        break;
      case 107:
        Tra_0075_0107( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Stopping )
  class Lea_0075_0105 : public TsmLeaf
  {
  public:
    Lea_0075_0105( TsmBase* oParent )
    {
      TsmName = "Stopping";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 107, "( HowlersFsm >> Stopping ) => ( HowlersFsm >> Idle ) : rp_slave->CbStopped" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0075_0108( TsmHandler& oHandler );
    void rp_slave___CbStopped( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 72:
        switch ( Command )
        {
        case 10:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 108:
        Tra_0075_0108( oHandler );
        break;
      case 107: // UP: ( HowlersFsm >> Stopping ) => ( HowlersFsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >)
  class Reg_0074_0075 : public TsmRegion
  {
  private:
    Ini_0075_0076* oIni_0075_0076; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> InitialState )
    Com_0075_0077* oCom_0075_0077; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Active )
    Lea_0075_0104* oLea_0075_0104; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Idle )
    Lea_0075_0105* oLea_0075_0105; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >> Stopping )

  public:
    Reg_0074_0075( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0075_0076 = new Ini_0075_0076( this );
      oCom_0075_0077 = new Com_0075_0077( this );
      oLea_0075_0104 = new Lea_0075_0104( this );
      oLea_0075_0105 = new Lea_0075_0105( this );
      mNrStates = 4;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0075_0076;
      mStates[ 1 ] = oCom_0075_0077;
      mStates[ 2 ] = oLea_0075_0104;
      mStates[ 3 ] = oLea_0075_0105;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0075_0106( TsmHandler& oHandler );
    void Tra_0075_0109( TsmHandler& oHandler );
    void Tra_0075_0108( TsmHandler& oHandler );
    void Tra_0075_0107( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 71:
        switch ( Command )
        {
        case 2:
          return TsmProspect::OK;
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 5:
          return TsmProspect::OK;
        case 6:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 71
      case 72:
        switch ( Command )
        {
        case 8:
          return TsmProspect::OK;
        case 9:
          return TsmProspect::OK;
        case 10:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port 72
      case 73:
        switch ( Command )
        {
        case 11:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 106:
        Tra_0075_0106( oHandler );
        break;
      case 109:
        Tra_0075_0109( oHandler );
        break;
      case 108:
        Tra_0075_0108( oHandler );
        break;
      case 107:
        Tra_0075_0107( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm )
  class Fsm_0070_0074 : public TsmFsm
  {
  private:
    Reg_0074_0075* oReg_0074_0075; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm >)

  public:
    Fsm_0070_0074( TsmBase* oParent )
    {
      TsmName = "HowlersFsm";
      TsmParent = oParent;
      oReg_0074_0075 = new Reg_0074_0075( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0074_0075;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass )
  class Cla_0068_0070 : public TsmClass
  {
  private:
    Fsm_0070_0074* oFsm_0070_0074; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > HowlersFsm )
    TsmIPort_IHowlers* TsmPI__pp_howlers; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers )
    TsmIPort_ICbHowlers* pp_howlers; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > pp_howlers )
    TsmIPort_ISlave* rp_slave; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave )
    TsmIPort_ICbSlave* TsmPI__rp_slave; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_slave )
    TsmIPort_IChecker* rp_checker; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker )
    TsmIPort_ICbChecker* TsmPI__rp_checker; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass > rp_checker )
    TsmPSPort* mPSMessager;
    TsmPCPort* mPCMessager;

  public:
    Cla_0068_0070( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0070_0074 = new Fsm_0070_0074( this );
      TsmPI__pp_howlers = new TsmIPort_IHowlers( this );
      TsmPI__rp_slave = new TsmIPort_ICbSlave( this );
      TsmPI__rp_checker = new TsmIPort_ICbChecker( this );
      mPSMessager = new TsmPSPort();
      mPCMessager = new TsmPCPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0070_0074;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_howlers" )
      {
        return TsmPI__pp_howlers;
      }
      if ( sPortName == "rp_slave" )
      {
        return TsmPI__rp_slave;
      }
      if ( sPortName == "rp_checker" )
      {
        return TsmPI__rp_checker;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_howlers" )
      {
        pp_howlers = static_cast<TsmIPort_ICbHowlers*>(oProvidedInterface);
        pp_howlers->Source = this;
        return;
      }
      if ( sPortName == "rp_slave" )
      {
        rp_slave = static_cast<TsmIPort_ISlave*>(oProvidedInterface);
        rp_slave->Source = this;
        return;
      }
      if ( sPortName == "rp_checker" )
      {
        rp_checker = static_cast<TsmIPort_IChecker*>(oProvidedInterface);
        rp_checker->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > HowlersClass )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0070_0074->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1002( TsmHandler& oHandler );
    void Function_1003( TsmHandler& oHandler );
    void Function_1004( TsmHandler& oHandler );
    void Function_1022( TsmHandler& oHandler );
    void Function_1023( TsmHandler& oHandler );
    void Function_1024( TsmHandler& oHandler );
    void Function_1025( TsmHandler& oHandler );
    void Function_1026( TsmHandler& oHandler );
    void Function_1027( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0068_0070()
    {
      delete TsmPI__pp_howlers;
      delete TsmPI__rp_slave;
      delete TsmPI__rp_checker;
      delete mPSMessager;
      delete mPCMessager;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent )
  class Com_0023_0068 : public TsmPComponent
  {
  private:
    Cla_0068_0070* Howlers; // ( Xmi > Data > Repository > HowlersPackage > HowlersComponent > Howlers )

  public:
    Com_0023_0068( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      Howlers = new Cla_0068_0070( this, "Howlers" );
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = Howlers;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "d_pp_howlers" )
      {
        return Howlers->GetProvidedInterface( "pp_howlers" );
      }
      if ( sPortName == "d_rp_slave" )
      {
        return Howlers->GetProvidedInterface( "rp_slave" );
      }
      if ( sPortName == "d_rp_checker" )
      {
        return Howlers->GetProvidedInterface( "rp_checker" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > HowlersComponent )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "d_pp_howlers" )
      {
        Howlers->SetRequiredInterface( "pp_howlers", oProvidedInterface );
        return;
      }
      if ( sPortName == "d_rp_slave" )
      {
        Howlers->SetRequiredInterface( "rp_slave", oProvidedInterface );
        return;
      }
      if ( sPortName == "d_rp_checker" )
      {
        Howlers->SetRequiredInterface( "rp_checker", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > HowlersComponent )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > System2 )
  class Com_0023_0111 : public TsmPComponent
  {
  private:
    Com_0023_0068* Howlers; // ( Xmi > Data > Repository > HowlersPackage > System2 > Howlers )

  public:
    Com_0023_0111( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      Howlers = new Com_0023_0068( this, "Howlers" );
      mNrComponents = 1;
      mComponents = new TsmComponent*[ 1 ];
      mComponents[ 0 ] = Howlers;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_howlers" )
      {
        return Howlers->GetProvidedInterface( "d_pp_howlers" );
      }
      if ( sPortName == "rp_slave" )
      {
        return Howlers->GetProvidedInterface( "d_rp_slave" );
      }
      if ( sPortName == "rp_checker" )
      {
        return Howlers->GetProvidedInterface( "d_rp_checker" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > System2 )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_howlers" )
      {
        Howlers->SetRequiredInterface( "d_pp_howlers", oProvidedInterface );
        return;
      }
      if ( sPortName == "rp_slave" )
      {
        Howlers->SetRequiredInterface( "d_rp_slave", oProvidedInterface );
        return;
      }
      if ( sPortName == "rp_checker" )
      {
        Howlers->SetRequiredInterface( "d_rp_checker", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > System2 )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> InitialState )
  class Ini_0118_0119 : public TsmPseudo
  {
  public:
    Ini_0118_0119( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 122, "( CheckerServerPsm >> InitialState ) => ( CheckerServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 122: // UP: ( CheckerServerPsm >> InitialState ) => ( CheckerServerPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Idle )
  class Lea_0118_0120 : public TsmLeaf
  {
  public:
    Lea_0118_0120( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 123, "( CheckerServerPsm >> Idle ) => ( CheckerServerPsm >> Checking ) : Check" );
    }

    void Tra_0118_0122( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0118_0124( TsmHandler& oHandler );
    void Port___Check( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 116:
        switch ( Command )
        {
        case 1:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 122:
        Tra_0118_0122( oHandler );
        break;
      case 124:
        Tra_0118_0124( oHandler );
        break;
      case 123: // UP: ( CheckerServerPsm >> Idle ) => ( CheckerServerPsm >> Checking )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Checking )
  class Lea_0118_0121 : public TsmLeaf
  {
  public:
    Lea_0118_0121( TsmBase* oParent )
    {
      TsmName = "Checking";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 124, "( CheckerServerPsm >> Checking ) => ( CheckerServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0118_0123( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 124: // UP: ( CheckerServerPsm >> Checking ) => ( CheckerServerPsm >> Idle )
        bHigher = true;
        break;
      case 123:
        Tra_0118_0123( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >)
  class Reg_0117_0118 : public TsmRegion
  {
  private:
    Ini_0118_0119* oIni_0118_0119; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> InitialState )
    Lea_0118_0120* oLea_0118_0120; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Idle )
    Lea_0118_0121* oLea_0118_0121; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >> Checking )

  public:
    Reg_0117_0118( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0118_0119 = new Ini_0118_0119( this );
      oLea_0118_0120 = new Lea_0118_0120( this );
      oLea_0118_0121 = new Lea_0118_0121( this );
      mNrStates = 3;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0118_0119;
      mStates[ 1 ] = oLea_0118_0120;
      mStates[ 2 ] = oLea_0118_0121;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0118_0122( TsmHandler& oHandler );
    void Tra_0118_0124( TsmHandler& oHandler );
    void Tra_0118_0123( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 116:
        switch ( Command )
        {
        case 1:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 122:
        Tra_0118_0122( oHandler );
        break;
      case 124:
        Tra_0118_0124( oHandler );
        break;
      case 123:
        Tra_0118_0123( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm )
  class Fsm_0115_0117 : public TsmFsm
  {
  private:
    Reg_0117_0118* oReg_0117_0118; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm >)

  public:
    Fsm_0115_0117( TsmBase* oParent )
    {
      TsmName = "CheckerServerPsm";
      TsmParent = oParent;
      oReg_0117_0118 = new Reg_0117_0118( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0117_0118;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer )
  class Cla_0114_0115 : public TsmProtocolClass
  {
  private:
    Fsm_0115_0117* oFsm_0115_0117; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > CheckerServerPsm )
    TsmIPort_IChecker* TsmPI__Port; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port )
    TsmIPort_ICbChecker* Port; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > Port )
    TsmPSPort* mPSMessager;

  public:
    Cla_0114_0115( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0115_0117 = new Fsm_0115_0117( this );
      TsmPI__Port = new TsmIPort_IChecker( this );
      mPSMessager = new TsmPSPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0115_0117;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_ICbChecker*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0115_0117->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1005( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0114_0115()
    {
      delete TsmPI__Port;
      delete mPSMessager;
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv2 > Checker )
  class Com_0008_0005 : public TsmPComponent
  {
  private:
    Cla_0114_0115* InsCheckerServer; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerServer > InsCheckerServer )

  public:
    Com_0008_0005( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      InsCheckerServer = new Cla_0114_0115( this, "InsCheckerServer" );
      InsCheckerServer->IsMock = true;
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = InsCheckerServer;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_checker" )
      {
        return InsCheckerServer->GetProvidedInterface( "Port" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Checker )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_checker" )
      {
        InsCheckerServer->SetRequiredInterface( "Port", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv2 > Checker )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> InitialState )
  class Ini_0029_0030 : public TsmPseudo
  {
  public:
    Ini_0029_0030( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 45, "( CheckerFsm >> InitialState ) => ( CheckerFsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 45: // UP: ( CheckerFsm >> InitialState ) => ( CheckerFsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> InitialState )
  class Ini_0054_0055 : public TsmPseudo
  {
  public:
    Ini_0054_0055( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 59, "( CheckerFsm > SubFsm >> InitialState ) => ( CheckerFsm > SubFsm >> NoWait )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 59: // UP: ( CheckerFsm > SubFsm >> InitialState ) => ( CheckerFsm > SubFsm >> NoWait )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> FinalState )
  class Fin_0054_0056 : public TsmFinal
  {
  public:
    Fin_0054_0056( TsmBase* oParent )
    {
      TsmName = "FinalState";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Tra_0054_0060( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 60:
        Tra_0054_0060( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> NoWait )
  class Lea_0054_0057 : public TsmLeaf
  {
  public:
    Lea_0054_0057( TsmBase* oParent )
    {
      TsmName = "NoWait";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 60, "( CheckerFsm > SubFsm >> NoWait ) => ( CheckerFsm > SubFsm >> FinalState )" );
    }

    void Tra_0054_0059( TsmHandler& oHandler );
    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 59:
        Tra_0054_0059( oHandler );
        break;
      case 60: // UP: ( CheckerFsm > SubFsm >> NoWait ) => ( CheckerFsm > SubFsm >> FinalState )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> Again )
  class Lea_0054_0058 : public TsmLeaf
  {
  public:
    Lea_0054_0058( TsmBase* oParent )
    {
      TsmName = "Again";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 62, "( CheckerFsm > SubFsm >> Again ) => ( CheckerFsm > SubFsm > Exit1 )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0054_0061( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 62: // UP: ( CheckerFsm > SubFsm >> Again ) => ( CheckerFsm > SubFsm > Exit1 )
        bHigher = true;
        break;
      case 61:
        Tra_0054_0061( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >)
  class Reg_0053_0054 : public TsmRegion
  {
  private:
    Ini_0054_0055* oIni_0054_0055; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> InitialState )
    Fin_0054_0056* oFin_0054_0056; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> FinalState )
    Lea_0054_0057* oLea_0054_0057; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> NoWait )
    Lea_0054_0058* oLea_0054_0058; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >> Again )

  public:
    Reg_0053_0054( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0054_0055 = new Ini_0054_0055( this );
      oFin_0054_0056 = new Fin_0054_0056( this );
      oLea_0054_0057 = new Lea_0054_0057( this );
      oLea_0054_0058 = new Lea_0054_0058( this );
      mNrStates = 4;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0054_0055;
      mStates[ 1 ] = oFin_0054_0056;
      mStates[ 2 ] = oLea_0054_0057;
      mStates[ 3 ] = oLea_0054_0058;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0054_0059( TsmHandler& oHandler );
    void Tra_0054_0060( TsmHandler& oHandler );
    void Tra_0054_0061( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 59:
        Tra_0054_0059( oHandler );
        break;
      case 60:
        Tra_0054_0060( oHandler );
        break;
      case 62: // Up: ( CheckerFsm > SubFsm >> Again ) => ( CheckerFsm > SubFsm > Exit1 )
        mCurrentState = NULL;
        bHigher = true;
        break;
      case 61:
        Tra_0054_0061( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm > Entry1 )
  class Con_0053_0063 : public TsmState
  {
  public:
    Con_0053_0063( TsmBase* oParent )
    {
      TsmName = "Entry1";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 61, "( CheckerFsm > SubFsm > Entry1 ) => ( CheckerFsm > SubFsm >> Again )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 61: // UP: ( CheckerFsm > SubFsm > Entry1 ) => ( CheckerFsm > SubFsm >> Again )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm )
  class Fsm_0028_0053 : public TsmFsm
  {
  private:
    Reg_0053_0054* oReg_0053_0054; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm >)
    Con_0053_0063* oCon_0053_0063; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm > Entry1 )

  public:
    Fsm_0028_0053( TsmBase* oParent )
    {
      TsmName = "SubFsm";
      TsmParent = oParent;
      oReg_0053_0054 = new Reg_0053_0054( this );
      oCon_0053_0063 = new Con_0053_0063( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0053_0054;
      mNrTransitions = 0;
    }

    void Entrypoint( TsmHandler& oHandler )
    {
      oReg_0053_0054->Reset();
      switch ( oHandler.Index )
      {
      case 63:
        oCon_0053_0063->Initial( oHandler );
        break;
      }
      ExecuteHandler( oHandler );
    }
    void Tra_0054_0062( TsmHandler& oHandler );
    void Tra_0054_0061( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    ~Fsm_0028_0053()
    {
      delete oCon_0053_0063;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 62:
        Tra_0054_0062( oHandler );
        break;
      case 61:
        Tra_0054_0061( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_1 )
  class Sub_0029_0031 : public TsmSubFsm
  {
  public:
    Sub_0029_0031( TsmBase* oParent )
    {
      TsmName = "SF_1";
      TsmParent = oParent;
      oFsm = new Fsm_0028_0053( this ); // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm )
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 49, "( CheckerFsm >> SF_1 ) => ( CheckerFsm >> SF_2 > ConnEntryRef )" );
    }

    void ExecuteTriggerless( TsmHandler& oHandler );
    void Tra_0029_0048( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 49: // UP: ( CheckerFsm >> SF_1 ) => ( CheckerFsm >> SF_2 > ConnEntryRef )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 48:
        Tra_0029_0048( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnEntryRef )
  class Con_0032_0033 : public TsmState
  {
  public:
    Con_0032_0033( TsmBase* oParent )
    {
      TsmName = "ConnEntryRef";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnExitRef )
  class Con_0032_0034 : public TsmState
  {
  public:
    Con_0032_0034( TsmBase* oParent )
    {
      TsmName = "ConnExitRef";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 50, "( CheckerFsm >> SF_2 > ConnExitRef ) => ( CheckerFsm >> Loop )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 50: // UP: ( CheckerFsm >> SF_2 > ConnExitRef ) => ( CheckerFsm >> Loop )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 )
  class Sub_0029_0032 : public TsmSubFsm
  {
  private:
    Con_0032_0034* oCon_0032_0034; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 > ConnExitRef )

  public:
    Sub_0029_0032( TsmBase* oParent )
    {
      TsmName = "SF_2";
      TsmParent = oParent;
      oFsm = new Fsm_0028_0053( this ); // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm > SubFsm )
      oCon_0032_0034 = new Con_0032_0034( this );
      mNrTransitions = 0;
    }

    void Tra_0029_0049( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    ~Sub_0029_0032()
    {
      delete oCon_0032_0034;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 49:
        Tra_0029_0049( oHandler );
        break;
      case 64: // UmlConnExit(Ref)
        oCon_0032_0034->Initial( oHandler );
        break;
      case 50: // UP: ( CheckerFsm >> SF_2 > ConnExitRef ) => ( CheckerFsm >> Loop )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> InitialState )
  class Ini_0036_0037 : public TsmPseudo
  {
  public:
    Ini_0036_0037( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 40, "( CheckerFsm >> Composite >> InitialState ) => ( CheckerFsm >> Composite >> Leaf )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 40: // UP: ( CheckerFsm >> Composite >> InitialState ) => ( CheckerFsm >> Composite >> Leaf )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> FinalState )
  class Fin_0036_0038 : public TsmFinal
  {
  public:
    Fin_0036_0038( TsmBase* oParent )
    {
      TsmName = "FinalState";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Tra_0036_0041( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 41:
        Tra_0036_0041( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> Leaf )
  class Lea_0036_0039 : public TsmLeaf
  {
  public:
    Lea_0036_0039( TsmBase* oParent )
    {
      TsmName = "Leaf";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 41, "( CheckerFsm >> Composite >> Leaf ) => ( CheckerFsm >> Composite >> FinalState )" );
    }

    void Tra_0036_0040( TsmHandler& oHandler );
    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 40:
        Tra_0036_0040( oHandler );
        break;
      case 41: // UP: ( CheckerFsm >> Composite >> Leaf ) => ( CheckerFsm >> Composite >> FinalState )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >)
  class Reg_0035_0036 : public TsmRegion
  {
  private:
    Ini_0036_0037* oIni_0036_0037; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> InitialState )
    Fin_0036_0038* oFin_0036_0038; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> FinalState )
    Lea_0036_0039* oLea_0036_0039; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >> Leaf )

  public:
    Reg_0035_0036( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0036_0037 = new Ini_0036_0037( this );
      oFin_0036_0038 = new Fin_0036_0038( this );
      oLea_0036_0039 = new Lea_0036_0039( this );
      mNrStates = 3;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0036_0037;
      mStates[ 1 ] = oFin_0036_0038;
      mStates[ 2 ] = oLea_0036_0039;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0036_0040( TsmHandler& oHandler );
    void Tra_0036_0041( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 40:
        Tra_0036_0040( oHandler );
        break;
      case 41:
        Tra_0036_0041( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite )
  class Com_0029_0035 : public TsmCompound
  {
  private:
    Reg_0035_0036* oReg_0035_0036; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite >)

  public:
    Com_0029_0035( TsmBase* oParent )
    {
      TsmName = "Composite";
      TsmParent = oParent;
      oReg_0035_0036 = new Reg_0035_0036( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0035_0036;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 48, "( CheckerFsm >> Composite ) => ( CheckerFsm >> SF_1 )" );
    }

    void ExecuteTriggerless( TsmHandler& oHandler );
    void Tra_0029_0052( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 48: // UP: ( CheckerFsm >> Composite ) => ( CheckerFsm >> SF_1 )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 52:
        Tra_0029_0052( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Idle )
  class Lea_0029_0042 : public TsmLeaf
  {
  public:
    Lea_0029_0042( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 46, "( CheckerFsm >> Idle ) => ( CheckerFsm >> Checking ) : pp_checker->Check" );
    }

    void Tra_0029_0045( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0029_0047( TsmHandler& oHandler );
    void pp_checker___Check( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 27:
        switch ( Command )
        {
        case 1:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 45:
        Tra_0029_0045( oHandler );
        break;
      case 47:
        Tra_0029_0047( oHandler );
        break;
      case 46: // UP: ( CheckerFsm >> Idle ) => ( CheckerFsm >> Checking )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Checking )
  class Lea_0029_0043 : public TsmLeaf
  {
  public:
    Lea_0029_0043( TsmBase* oParent )
    {
      TsmName = "Checking";
      TsmParent = oParent;
      mNrTransitions = 2;
      mTransitions = new TsmTransition*[ 2 ];
      mTransitions[ 0 ] = new TsmTransition( 47, "( CheckerFsm >> Checking ) => ( CheckerFsm >> Idle )" );
      mTransitions[ 1 ] = new TsmTransition( 51, "( CheckerFsm >> Checking ) => ( CheckerFsm >> Loop ) : pp_checker->Check" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0029_0046( TsmHandler& oHandler );
    void pp_checker___Check( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 27:
        switch ( Command )
        {
        case 1:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 47: // UP: ( CheckerFsm >> Checking ) => ( CheckerFsm >> Idle )
        bHigher = true;
        break;
      case 46:
        Tra_0029_0046( oHandler );
        break;
      case 51: // UP: ( CheckerFsm >> Checking ) => ( CheckerFsm >> Loop )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Loop )
  class Lea_0029_0044 : public TsmLeaf
  {
  public:
    Lea_0029_0044( TsmBase* oParent )
    {
      TsmName = "Loop";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 52, "( CheckerFsm >> Loop ) => ( CheckerFsm >> Composite )" );
    }

    void Tra_0029_0050( TsmHandler& oHandler );
    void Initial( TsmHandler& oHandler );
    void Tra_0029_0051( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 50:
        Tra_0029_0050( oHandler );
        break;
      case 52: // UP: ( CheckerFsm >> Loop ) => ( CheckerFsm >> Composite )
        bHigher = true;
        break;
      case 51:
        Tra_0029_0051( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >)
  class Reg_0028_0029 : public TsmRegion
  {
  private:
    Ini_0029_0030* oIni_0029_0030; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> InitialState )
    Sub_0029_0031* oSub_0029_0031; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_1 )
    Sub_0029_0032* oSub_0029_0032; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> SF_2 )
    Com_0029_0035* oCom_0029_0035; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Composite )
    Lea_0029_0042* oLea_0029_0042; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Idle )
    Lea_0029_0043* oLea_0029_0043; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Checking )
    Lea_0029_0044* oLea_0029_0044; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >> Loop )

  public:
    Reg_0028_0029( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0029_0030 = new Ini_0029_0030( this );
      oSub_0029_0031 = new Sub_0029_0031( this );
      oSub_0029_0032 = new Sub_0029_0032( this );
      oCom_0029_0035 = new Com_0029_0035( this );
      oLea_0029_0042 = new Lea_0029_0042( this );
      oLea_0029_0043 = new Lea_0029_0043( this );
      oLea_0029_0044 = new Lea_0029_0044( this );
      mNrStates = 7;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0029_0030;
      mStates[ 1 ] = oSub_0029_0031;
      mStates[ 2 ] = oSub_0029_0032;
      mStates[ 3 ] = oCom_0029_0035;
      mStates[ 4 ] = oLea_0029_0042;
      mStates[ 5 ] = oLea_0029_0043;
      mStates[ 6 ] = oLea_0029_0044;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0029_0045( TsmHandler& oHandler );
    void Tra_0029_0049( TsmHandler& oHandler );
    void Tra_0029_0050( TsmHandler& oHandler );
    void Tra_0029_0048( TsmHandler& oHandler );
    void Tra_0029_0047( TsmHandler& oHandler );
    void Tra_0029_0052( TsmHandler& oHandler );
    void Tra_0029_0046( TsmHandler& oHandler );
    void Tra_0029_0051( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 27:
        switch ( Command )
        {
        case 1:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 45:
        Tra_0029_0045( oHandler );
        break;
      case 49:
        Tra_0029_0049( oHandler );
        break;
      case 50:
        Tra_0029_0050( oHandler );
        break;
      case 48:
        Tra_0029_0048( oHandler );
        break;
      case 47:
        Tra_0029_0047( oHandler );
        break;
      case 52:
        Tra_0029_0052( oHandler );
        break;
      case 46:
        Tra_0029_0046( oHandler );
        break;
      case 51:
        Tra_0029_0051( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm )
  class Fsm_0026_0028 : public TsmFsm
  {
  private:
    Reg_0028_0029* oReg_0028_0029; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm >)

  public:
    Fsm_0026_0028( TsmBase* oParent )
    {
      TsmName = "CheckerFsm";
      TsmParent = oParent;
      oReg_0028_0029 = new Reg_0028_0029( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0028_0029;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass )
  class Cla_0024_0026 : public TsmClass
  {
  private:
    Fsm_0026_0028* oFsm_0026_0028; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > CheckerFsm )
    TsmIPort_IChecker* TsmPI__pp_checker; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker )
    TsmIPort_ICbChecker* pp_checker; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass > pp_checker )
    TsmPSPort* mPSMessager;

  public:
    Cla_0024_0026( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0026_0028 = new Fsm_0026_0028( this );
      TsmPI__pp_checker = new TsmIPort_IChecker( this );
      mPSMessager = new TsmPSPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0026_0028;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_checker" )
      {
        return TsmPI__pp_checker;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_checker" )
      {
        pp_checker = static_cast<TsmIPort_ICbChecker*>(oProvidedInterface);
        pp_checker->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > CheckerClass )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0026_0028->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1001( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0024_0026()
    {
      delete TsmPI__pp_checker;
      delete mPSMessager;
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent )
  class Com_0023_0024 : public TsmPComponent
  {
  private:
    Cla_0024_0026* Checker; // ( Xmi > Data > Repository > HowlersPackage > CheckerComponent > Checker )

  public:
    Com_0023_0024( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      Checker = new Cla_0024_0026( this, "Checker" );
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = Checker;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "d_pp_checker" )
      {
        return Checker->GetProvidedInterface( "pp_checker" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > CheckerComponent )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "d_pp_checker" )
      {
        Checker->SetRequiredInterface( "pp_checker", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > CheckerComponent )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Repository > HowlersPackage > System1 )
  class Com_0023_0065 : public TsmAComponent
  {
  private:
    Com_0023_0068* Howlers; // ( Xmi > Data > Repository > HowlersPackage > System1 > Howlers )
    Com_0023_0024* Checker; // ( Xmi > Data > Repository > HowlersPackage > System1 > Checker )
    TsmIPort_IHowlers* TsmPI__pp_howlers; // ( Xmi > Data > Repository > HowlersPackage > System1 > pp_howlers )
    TsmASPort* TsmMr__pp_howlers;
    TsmIPort_ICbSlave* TsmPI__rp_slave; // ( Xmi > Data > Repository > HowlersPackage > System1 > rp_slave )
    TsmACPort* TsmMr__rp_slave;

  public:
    Com_0023_0065( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      Howlers = new Com_0023_0068( this, "Howlers" );
      Checker = new Com_0023_0024( this, "Checker" );
      mNrComponents = 2;
      mComponents = new TsmComponent*[ 2 ];
      mComponents[ 0 ] = Howlers;
      mComponents[ 1 ] = Checker;
      TsmPI__pp_howlers = new TsmIPort_IHowlers( this );
      TsmMr__pp_howlers = new TsmASPort();
      TsmPI__rp_slave = new TsmIPort_ICbSlave( this );
      TsmMr__rp_slave = new TsmACPort();
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_howlers" )
      {
        return TsmPI__pp_howlers;
      }
      if ( sPortName == "rp_slave" )
      {
        return TsmPI__rp_slave;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > System1 )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_howlers" )
      {
        Howlers->SetRequiredInterface( "d_pp_howlers", oProvidedInterface );
        return;
      }
      if ( sPortName == "rp_slave" )
      {
        Howlers->SetRequiredInterface( "d_rp_slave", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Repository > HowlersPackage > System1 )";
      throw TsmException( s );
    }
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );

    ~Com_0023_0065()
    {
      delete TsmPI__pp_howlers;
      delete TsmMr__pp_howlers;
      delete TsmPI__rp_slave;
      delete TsmMr__rp_slave;
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv1 > Ui )
  class Com_0013_0007 : public TsmPComponent
  {
  private:
    Cla_0166_0167* InsHowlersClient; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersClient > InsHowlersClient )

  public:
    Com_0013_0007( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      InsHowlersClient = new Cla_0166_0167( this, "InsHowlersClient" );
      InsHowlersClient->IsMock = true;
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = InsHowlersClient;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "rp_howlers" )
      {
        return InsHowlersClient->GetProvidedInterface( "Port" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv1 > Ui )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "rp_howlers" )
      {
        InsHowlersClient->SetRequiredInterface( "Port", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv1 > Ui )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv1 > Slave )
  class Com_0013_0009 : public TsmPComponent
  {
  private:
    Cla_0135_0151* InsSlaveServer; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveServer > InsSlaveServer )

  public:
    Com_0013_0009( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      InsSlaveServer = new Cla_0135_0151( this, "InsSlaveServer" );
      InsSlaveServer->IsMock = true;
      mNrClasses = 1;
      mClasses = new TsmClass*[ 1 ];
      mClasses[ 0 ] = InsSlaveServer;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "pp_slave" )
      {
        return InsSlaveServer->GetProvidedInterface( "Port" );
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv1 > Slave )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "pp_slave" )
      {
        InsSlaveServer->SetRequiredInterface( "Port", oProvidedInterface );
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Architecture > ExecEnv1 > Slave )";
      throw TsmException( s );
    }
  };

   // ( Xmi > Data > Architecture > ExecEnv1 )
  class Com_0007_0013 : public TsmPComponent
  {
  private:
    Com_0023_0065* MySystem1; // ( Xmi > Data > Architecture > ExecEnv1 > MySystem1 )
    Com_0013_0007* Ui; // ( Xmi > Data > Architecture > ExecEnv1 > Ui )
    Com_0013_0009* Slave; // ( Xmi > Data > Architecture > ExecEnv1 > Slave )

  public:
    Com_0007_0013( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      MySystem1 = new Com_0023_0065( this, "MySystem1" );
      Ui = new Com_0013_0007( this, "Ui" );
      Slave = new Com_0013_0009( this, "Slave" );
      mNrComponents = 3;
      mComponents = new TsmComponent*[ 3 ];
      mComponents[ 0 ] = MySystem1;
      mComponents[ 1 ] = Ui;
      mComponents[ 2 ] = Slave;
    }

    void TsmConnect( void* oObject );
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Architecture > Sequence Diagrams )
   ********************************************************************/

   // ( Xmi > Data > Architecture > Sequence Diagrams )
  class Pac_0007_0017 : public TsmPackage
  {
  public:
    Pac_0007_0017( TsmBase* oParent )
    {
      TsmName = "Sequence Diagrams";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Architecture )
   ********************************************************************/

   // ( Xmi > Data > Architecture )
  class Pac_0006_0007 : public TsmPackage
  {
  public:
    Pac_0006_0007( TsmBase* oParent )
    {
      TsmName = "Architecture";
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Repository > Terminators > CheckerMock )
  class Com_0019_0020 : public TsmPComponent
  {
  public:
    Com_0019_0020( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Repository > Terminators > UiComponent )
  class Com_0019_0021 : public TsmPComponent
  {
  public:
    Com_0019_0021( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Repository > Terminators > SlaveComponent )
  class Com_0019_0022 : public TsmPComponent
  {
  public:
    Com_0019_0022( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Repository > Terminators )
   ********************************************************************/

   // ( Xmi > Data > Repository > Terminators )
  class Pac_0018_0019 : public TsmPackage
  {
  public:
    Pac_0018_0019( TsmBase* oParent )
    {
      TsmName = "Terminators";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Repository > HowlersPackage )
   ********************************************************************/

   // ( Xmi > Data > Repository > HowlersPackage )
  class Pac_0018_0023 : public TsmPackage
  {
  public:
    Pac_0018_0023( TsmBase* oParent )
    {
      TsmName = "HowlersPackage";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Repository )
   ********************************************************************/

   // ( Xmi > Data > Repository )
  class Pac_0006_0018 : public TsmPackage
  {
  public:
    Pac_0006_0018( TsmBase* oParent )
    {
      TsmName = "Repository";
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> InitialState )
  class Ini_0128_0129 : public TsmPseudo
  {
  public:
    Ini_0128_0129( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 132, "( CheckerClientPsm >> InitialState ) => ( CheckerClientPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 132: // UP: ( CheckerClientPsm >> InitialState ) => ( CheckerClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Idle )
  class Lea_0128_0130 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0128_0130( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 133, "( CheckerClientPsm >> Idle ) => ( CheckerClientPsm >> Checking )" );
    }

    void Tra_0128_0132( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0128_0134( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 133:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 132:
        Tra_0128_0132( oHandler );
        break;
      case 133: // UP: ( CheckerClientPsm >> Idle ) => ( CheckerClientPsm >> Checking )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 134:
        Tra_0128_0134( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Checking )
  class Lea_0128_0131 : public TsmLeaf
  {
  public:
    Lea_0128_0131( TsmBase* oParent )
    {
      TsmName = "Checking";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 134, "( CheckerClientPsm >> Checking ) => ( CheckerClientPsm >> Idle ) : CbChecked" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0128_0133( TsmHandler& oHandler );
    void Port___CbChecked( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 126:
        switch ( Command )
        {
        case 11:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 133:
        Tra_0128_0133( oHandler );
        break;
      case 134: // UP: ( CheckerClientPsm >> Checking ) => ( CheckerClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >)
  class Reg_0127_0128 : public TsmRegion
  {
  private:
    Ini_0128_0129* oIni_0128_0129; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> InitialState )
    Lea_0128_0130* oLea_0128_0130; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Idle )
    Lea_0128_0131* oLea_0128_0131; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >> Checking )

  public:
    Reg_0127_0128( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0128_0129 = new Ini_0128_0129( this );
      oLea_0128_0130 = new Lea_0128_0130( this );
      oLea_0128_0131 = new Lea_0128_0131( this );
      mNrStates = 3;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0128_0129;
      mStates[ 1 ] = oLea_0128_0130;
      mStates[ 2 ] = oLea_0128_0131;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0128_0132( TsmHandler& oHandler );
    void Tra_0128_0133( TsmHandler& oHandler );
    void Tra_0128_0134( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 133:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 126:
        switch ( Command )
        {
        case 11:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 132:
        Tra_0128_0132( oHandler );
        break;
      case 133:
        Tra_0128_0133( oHandler );
        break;
      case 134:
        Tra_0128_0134( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm )
  class Fsm_0125_0127 : public TsmFsm
  {
  private:
    Reg_0127_0128* oReg_0127_0128; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm >)

  public:
    Fsm_0125_0127( TsmBase* oParent )
    {
      TsmName = "CheckerClientPsm";
      TsmParent = oParent;
      oReg_0127_0128 = new Reg_0127_0128( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0127_0128;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient )
  class Cla_0114_0125 : public TsmProtocolClass
  {
  private:
    Fsm_0125_0127* oFsm_0125_0127; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > CheckerClientPsm )
    TsmIPort_IChecker* Port; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port )
    TsmIPort_ICbChecker* TsmPI__Port; // ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient > Port )
    TsmPCPort* mPCMessager;

  public:
    Cla_0114_0125( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0125_0127 = new Fsm_0125_0127( this );
      TsmPI__Port = new TsmIPort_ICbChecker( this );
      mPCMessager = new TsmPCPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0125_0127;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_IChecker*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > CheckerProtocol > CheckerClient )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0125_0127->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1006( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0114_0125()
    {
      delete TsmPI__Port;
      delete mPCMessager;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Protocols > CheckerProtocol )
   ********************************************************************/

   // ( Xmi > Data > Protocols > CheckerProtocol )
  class Pac_0113_0114 : public TsmPackage
  {
  public:
    Pac_0113_0114( TsmBase* oParent )
    {
      TsmName = "CheckerProtocol";
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> InitialState )
  class Ini_0139_0140 : public TsmPseudo
  {
  public:
    Ini_0139_0140( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 145, "( SlaveClientPsm >> InitialState ) => ( SlaveClientPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 145: // UP: ( SlaveClientPsm >> InitialState ) => ( SlaveClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Idle )
  class Lea_0139_0141 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0139_0141( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 148, "( SlaveClientPsm >> Idle ) => ( SlaveClientPsm >> Starting )" );
    }

    void Tra_0139_0145( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0139_0150( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 148:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 145:
        Tra_0139_0145( oHandler );
        break;
      case 148: // UP: ( SlaveClientPsm >> Idle ) => ( SlaveClientPsm >> Starting )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 150:
        Tra_0139_0150( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Starting )
  class Lea_0139_0142 : public TsmLeaf
  {
  public:
    Lea_0139_0142( TsmBase* oParent )
    {
      TsmName = "Starting";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 147, "( SlaveClientPsm >> Starting ) => ( SlaveClientPsm >> Busy ) : CbStarted" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0139_0148( TsmHandler& oHandler );
    void Port___CbStarted( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 137:
        switch ( Command )
        {
        case 9:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 148:
        Tra_0139_0148( oHandler );
        break;
      case 147: // UP: ( SlaveClientPsm >> Starting ) => ( SlaveClientPsm >> Busy )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Busy )
  class Lea_0139_0143 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0139_0143( TsmBase* oParent )
    {
      TsmName = "Busy";
      TsmParent = oParent;
      mNrTransitions = 2;
      mTransitions = new TsmTransition*[ 2 ];
      mTransitions[ 0 ] = new TsmTransition( 149, "( SlaveClientPsm >> Busy ) => ( SlaveClientPsm >> Stopping )" );
      mTransitions[ 1 ] = new TsmTransition( 146, "( SlaveClientPsm >> Busy ) => ( SlaveClientPsm >> Busy ) : CbOutSync" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0139_0146( TsmHandler& oHandler );
    void Port___CbOutSync( TsmHandler& oHandler );
    void Tra_0139_0147( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 149:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 137:
        switch ( Command )
        {
        case 8:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 149: // UP: ( SlaveClientPsm >> Busy ) => ( SlaveClientPsm >> Stopping )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 146:
        Tra_0139_0146( oHandler );
        break;
      case 147:
        Tra_0139_0147( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Stopping )
  class Lea_0139_0144 : public TsmLeaf
  {
  public:
    Lea_0139_0144( TsmBase* oParent )
    {
      TsmName = "Stopping";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 150, "( SlaveClientPsm >> Stopping ) => ( SlaveClientPsm >> Idle ) : CbStopped" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0139_0149( TsmHandler& oHandler );
    void Port___CbStopped( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 137:
        switch ( Command )
        {
        case 10:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 149:
        Tra_0139_0149( oHandler );
        break;
      case 150: // UP: ( SlaveClientPsm >> Stopping ) => ( SlaveClientPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >)
  class Reg_0138_0139 : public TsmRegion
  {
  private:
    Ini_0139_0140* oIni_0139_0140; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> InitialState )
    Lea_0139_0141* oLea_0139_0141; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Idle )
    Lea_0139_0142* oLea_0139_0142; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Starting )
    Lea_0139_0143* oLea_0139_0143; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Busy )
    Lea_0139_0144* oLea_0139_0144; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >> Stopping )

  public:
    Reg_0138_0139( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0139_0140 = new Ini_0139_0140( this );
      oLea_0139_0141 = new Lea_0139_0141( this );
      oLea_0139_0142 = new Lea_0139_0142( this );
      oLea_0139_0143 = new Lea_0139_0143( this );
      oLea_0139_0144 = new Lea_0139_0144( this );
      mNrStates = 5;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0139_0140;
      mStates[ 1 ] = oLea_0139_0141;
      mStates[ 2 ] = oLea_0139_0142;
      mStates[ 3 ] = oLea_0139_0143;
      mStates[ 4 ] = oLea_0139_0144;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0139_0145( TsmHandler& oHandler );
    void Tra_0139_0148( TsmHandler& oHandler );
    void Tra_0139_0149( TsmHandler& oHandler );
    void Tra_0139_0147( TsmHandler& oHandler );
    void Tra_0139_0150( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 148:
          return TsmProspect::OK;
        case 149:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 137:
        switch ( Command )
        {
        case 8:
          return TsmProspect::OK;
        case 9:
          return TsmProspect::OK;
        case 10:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 145:
        Tra_0139_0145( oHandler );
        break;
      case 148:
        Tra_0139_0148( oHandler );
        break;
      case 149:
        Tra_0139_0149( oHandler );
        break;
      case 147:
        Tra_0139_0147( oHandler );
        break;
      case 150:
        Tra_0139_0150( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm )
  class Fsm_0136_0138 : public TsmFsm
  {
  private:
    Reg_0138_0139* oReg_0138_0139; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm >)

  public:
    Fsm_0136_0138( TsmBase* oParent )
    {
      TsmName = "SlaveClientPsm";
      TsmParent = oParent;
      oReg_0138_0139 = new Reg_0138_0139( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0138_0139;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient )
  class Cla_0135_0136 : public TsmProtocolClass
  {
  private:
    Fsm_0136_0138* oFsm_0136_0138; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > SlaveClientPsm )
    TsmIPort_ISlave* Port; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port )
    TsmIPort_ICbSlave* TsmPI__Port; // ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient > Port )
    TsmPCPort* mPCMessager;

  public:
    Cla_0135_0136( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0136_0138 = new Fsm_0136_0138( this );
      TsmPI__Port = new TsmIPort_ICbSlave( this );
      mPCMessager = new TsmPCPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0136_0138;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_ISlave*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > SlaveProtocol > SlaveClient )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0136_0138->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1007( TsmHandler& oHandler );
    void Function_1008( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0135_0136()
    {
      delete TsmPI__Port;
      delete mPCMessager;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Protocols > SlaveProtocol )
   ********************************************************************/

   // ( Xmi > Data > Protocols > SlaveProtocol )
  class Pac_0113_0135 : public TsmPackage
  {
  public:
    Pac_0113_0135( TsmBase* oParent )
    {
      TsmName = "SlaveProtocol";
      TsmParent = oParent;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> InitialState )
  class Ini_0198_0199 : public TsmPseudo
  {
  public:
    Ini_0198_0199( TsmBase* oParent )
    {
      TsmName = "InitialState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 217, "( HowlersServerPsm >> InitialState ) => ( HowlersServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 217: // UP: ( HowlersServerPsm >> InitialState ) => ( HowlersServerPsm >> Idle )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> JuncState )
  class Jun_0198_0200 : public TsmPseudo
  {
  public:
    Jun_0198_0200( TsmBase* oParent )
    {
      TsmName = "JuncState";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 219, "( HowlersServerPsm >> JuncState ) => ( HowlersServerPsm >> Active >> Slow )" );
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0202_0212( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 219: // UP: ( HowlersServerPsm >> JuncState ) => ( HowlersServerPsm >> Active >> Slow )
        bHigher = true;
        break;
      case 212:
        Tra_0202_0212( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Starting )
  class Lea_0202_0203 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0202_0203( TsmBase* oParent )
    {
      TsmName = "Starting";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 214, "( HowlersServerPsm >> Active >> Starting ) => ( HowlersServerPsm >> Active >> Busy )" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0198_0218( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 214:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 214: // UP: ( HowlersServerPsm >> Active >> Starting ) => ( HowlersServerPsm >> Active >> Busy )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 218:
        Tra_0198_0218( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> OutSync )
  class Lea_0202_0204 : public TsmLeaf
  {
  public:
    Lea_0202_0204( TsmBase* oParent )
    {
      TsmName = "OutSync";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0202_0210( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 210:
        Tra_0202_0210( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Slow )
  class Lea_0202_0205 : public TsmLeaf
  {
  public:
    Lea_0202_0205( TsmBase* oParent )
    {
      TsmName = "Slow";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Tra_0198_0219( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 219:
        Tra_0198_0219( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Busy )
  class Lea_0202_0206 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0202_0206( TsmBase* oParent )
    {
      TsmName = "Busy";
      TsmParent = oParent;
      mNrTransitions = 4;
      mTransitions = new TsmTransition*[ 4 ];
      mTransitions[ 0 ] = new TsmTransition( 210, "( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> OutSync )" );
      mTransitions[ 1 ] = new TsmTransition( 213, "( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> Pausing ) : Pause" );
      mTransitions[ 2 ] = new TsmTransition( 212, "( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> JuncState ) : Slow" );
      mTransitions[ 3 ] = new TsmTransition( 211, "( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> Test ) : Test" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0202_0214( TsmHandler& oHandler );
    void Tra_0202_0209( TsmHandler& oHandler );
    void Port___Pause( TsmHandler& oHandler );
    void Port___Slow( TsmHandler& oHandler );
    void Port___Test( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 210:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 196:
        switch ( Command )
        {
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 214:
        Tra_0202_0214( oHandler );
        break;
      case 210: // UP: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> OutSync )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 209:
        Tra_0202_0209( oHandler );
        break;
      case 213: // UP: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> Pausing )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 212: // UP: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> JuncState )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 211: // UP: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> Active >> Test )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Pausing )
  class Lea_0202_0207 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0202_0207( TsmBase* oParent )
    {
      TsmName = "Pausing";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 209, "( HowlersServerPsm >> Active >> Pausing ) => ( HowlersServerPsm >> Active >> Busy )" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0202_0213( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 209:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 209: // UP: ( HowlersServerPsm >> Active >> Pausing ) => ( HowlersServerPsm >> Active >> Busy )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 213:
        Tra_0202_0213( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Test )
  class Lea_0202_0208 : public TsmLeaf
  {
  public:
    Lea_0202_0208( TsmBase* oParent )
    {
      TsmName = "Test";
      TsmParent = oParent;
      mNrTransitions = 0;
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0202_0211( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 211:
        Tra_0202_0211( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >)
  class Reg_0201_0202 : public TsmRegion
  {
  private:
    Lea_0202_0203* oLea_0202_0203; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Starting )
    Lea_0202_0204* oLea_0202_0204; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> OutSync )
    Lea_0202_0205* oLea_0202_0205; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Slow )
    Lea_0202_0206* oLea_0202_0206; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Busy )
    Lea_0202_0207* oLea_0202_0207; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Pausing )
    Lea_0202_0208* oLea_0202_0208; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >> Test )

  public:
    Reg_0201_0202( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oLea_0202_0203 = new Lea_0202_0203( this );
      oLea_0202_0204 = new Lea_0202_0204( this );
      oLea_0202_0205 = new Lea_0202_0205( this );
      oLea_0202_0206 = new Lea_0202_0206( this );
      oLea_0202_0207 = new Lea_0202_0207( this );
      oLea_0202_0208 = new Lea_0202_0208( this );
      mNrStates = 6;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oLea_0202_0203;
      mStates[ 1 ] = oLea_0202_0204;
      mStates[ 2 ] = oLea_0202_0205;
      mStates[ 3 ] = oLea_0202_0206;
      mStates[ 4 ] = oLea_0202_0207;
      mStates[ 5 ] = oLea_0202_0208;
    }

    void Tra_0198_0219( TsmHandler& oHandler );
    void Tra_0202_0214( TsmHandler& oHandler );
    void Tra_0202_0210( TsmHandler& oHandler );
    void Tra_0202_0209( TsmHandler& oHandler );
    void Tra_0202_0213( TsmHandler& oHandler );
    void Tra_0198_0218( TsmHandler& oHandler );
    void Tra_0202_0211( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 214:
          return TsmProspect::OK;
        case 210:
          return TsmProspect::OK;
        case 209:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 196:
        switch ( Command )
        {
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 219:
        Tra_0198_0219( oHandler );
        break;
      case 214:
        Tra_0202_0214( oHandler );
        break;
      case 210:
        Tra_0202_0210( oHandler );
        break;
      case 209:
        Tra_0202_0209( oHandler );
        break;
      case 213:
        Tra_0202_0213( oHandler );
        break;
      case 212: // Up: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> JuncState )
        mCurrentState = NULL;
        bHigher = true;
        break;
      case 218:
        Tra_0198_0218( oHandler );
        break;
      case 211:
        Tra_0202_0211( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active )
  class Com_0198_0201 : public TsmCompound
  {
  private:
    Reg_0201_0202* oReg_0201_0202; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active >)

  public:
    Com_0198_0201( TsmBase* oParent )
    {
      TsmName = "Active";
      TsmParent = oParent;
      oReg_0201_0202 = new Reg_0201_0202( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0201_0202;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 221, "( HowlersServerPsm >> Active ) => ( HowlersServerPsm >> Stopping ) : Stop" );
    }

    void Tra_0198_0219( TsmHandler& oHandler );
    void Tra_0198_0218( TsmHandler& oHandler );
    void Port___Stop( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTriggerCompound( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 196:
        switch ( Command )
        {
        case 6:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 219:
        Tra_0198_0219( oHandler );
        break;
      case 212: // UP: ( HowlersServerPsm >> Active >> Busy ) => ( HowlersServerPsm >> JuncState )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 218:
        Tra_0198_0218( oHandler );
        break;
      case 221: // UP: ( HowlersServerPsm >> Active ) => ( HowlersServerPsm >> Stopping )
        AtExit( oHandler );
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Idle )
  class Lea_0198_0215 : public TsmLeaf
  {
  public:
    Lea_0198_0215( TsmBase* oParent )
    {
      TsmName = "Idle";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 218, "( HowlersServerPsm >> Idle ) => ( HowlersServerPsm >> Active >> Starting ) : Start" );
    }

    void Tra_0198_0217( TsmHandler& oHandler );

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0198_0220( TsmHandler& oHandler );
    void Port___Start( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case 196:
        switch ( Command )
        {
        case 5:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 217:
        Tra_0198_0217( oHandler );
        break;
      case 220:
        Tra_0198_0220( oHandler );
        break;
      case 218: // UP: ( HowlersServerPsm >> Idle ) => ( HowlersServerPsm >> Active >> Starting )
        bHigher = true;
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Stopping )
  class Lea_0198_0216 : public TsmLeaf
  {
  private:
    static const int aNatives[1];

  public:
    Lea_0198_0216( TsmBase* oParent )
    {
      TsmName = "Stopping";
      TsmParent = oParent;
      mNrTransitions = 1;
      mTransitions = new TsmTransition*[ 1 ];
      mTransitions[ 0 ] = new TsmTransition( 220, "( HowlersServerPsm >> Stopping ) => ( HowlersServerPsm >> Idle )" );
    }

    void Initial( TsmHandler& oHandler )
    {
      oHandler.Action = TsmHandlerAction::OK;
    }
    void Tra_0198_0221( TsmHandler& oHandler );
    void AtEntry( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    void ExecuteTrigger( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 220:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 220: // UP: ( HowlersServerPsm >> Stopping ) => ( HowlersServerPsm >> Idle )
        AtExit( oHandler );
        bHigher = true;
        break;
      case 221:
        Tra_0198_0221( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >)
  class Reg_0197_0198 : public TsmRegion
  {
  private:
    Ini_0198_0199* oIni_0198_0199; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> InitialState )
    Jun_0198_0200* oJun_0198_0200; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> JuncState )
    Com_0198_0201* oCom_0198_0201; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Active )
    Lea_0198_0215* oLea_0198_0215; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Idle )
    Lea_0198_0216* oLea_0198_0216; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >> Stopping )

  public:
    Reg_0197_0198( TsmBase* oParent )
    {
      TsmName = "";
      TsmParent = oParent;
      oIni_0198_0199 = new Ini_0198_0199( this );
      oJun_0198_0200 = new Jun_0198_0200( this );
      oCom_0198_0201 = new Com_0198_0201( this );
      oLea_0198_0215 = new Lea_0198_0215( this );
      oLea_0198_0216 = new Lea_0198_0216( this );
      mNrStates = 5;
      mStates = new TsmState*[ mNrStates ];
      mStates[ 0 ] = oIni_0198_0199;
      mStates[ 1 ] = oJun_0198_0200;
      mStates[ 2 ] = oCom_0198_0201;
      mStates[ 3 ] = oLea_0198_0215;
      mStates[ 4 ] = oLea_0198_0216;
    }

    void Initial( TsmHandler& oHandler );
    void Tra_0198_0217( TsmHandler& oHandler );
    void Tra_0198_0219( TsmHandler& oHandler );
    void Tra_0198_0220( TsmHandler& oHandler );
    void Tra_0202_0212( TsmHandler& oHandler );
    void Tra_0198_0218( TsmHandler& oHandler );
    void Tra_0198_0221( TsmHandler& oHandler );

    int GetProspect( int PortId, int Command )
    {
      switch ( PortId )
      {
      case -1:
        switch ( Command )
        {
        case 214:
          return TsmProspect::OK;
        case 210:
          return TsmProspect::OK;
        case 209:
          return TsmProspect::OK;
        case 220:
          return TsmProspect::OK;
        default:
          break;
        }
        break; // end of Port -1
      case 196:
        switch ( Command )
        {
        case 3:
          return TsmProspect::OK;
        case 4:
          return TsmProspect::OK;
        case 5:
          return TsmProspect::OK;
        case 6:
          return TsmProspect::OK;
        case 7:
          return TsmProspect::OK;
        default:
          break;
        }
        break;
      default:
        break;
      }

      return TsmProspect::NOK;
    }

    bool ExecuteTransition( TsmHandler& oHandler )
    {
      bool bHigher = false;
      switch ( oHandler.Index )
      {
      case 217:
        Tra_0198_0217( oHandler );
        break;
      case 219:
        Tra_0198_0219( oHandler );
        break;
      case 220:
        Tra_0198_0220( oHandler );
        break;
      case 212:
        Tra_0202_0212( oHandler );
        break;
      case 218:
        Tra_0198_0218( oHandler );
        break;
      case 221:
        Tra_0198_0221( oHandler );
        break;
      default:
        throw TsmException( "Unknown Index " + oHandler.Index );
      }
      return bHigher;
    }
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm )
  class Fsm_0195_0197 : public TsmFsm
  {
  private:
    Reg_0197_0198* oReg_0197_0198; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm >)

  public:
    Fsm_0195_0197( TsmBase* oParent )
    {
      TsmName = "HowlersServerPsm";
      TsmParent = oParent;
      oReg_0197_0198 = new Reg_0197_0198( this );
      mNrRegions = 1;
      mRegions = new TsmRegion*[ mNrRegions ];
      mRegions[ 0 ] = oReg_0197_0198;
      mNrTransitions = 0;
    }

    void AtEntry( TsmHandler& oHandler );
  };

   // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer )
  class Cla_0166_0195 : public TsmProtocolClass
  {
  private:
    Fsm_0195_0197* oFsm_0195_0197; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > HowlersServerPsm )
    TsmIPort_IHowlers* TsmPI__Port; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port )
    TsmIPort_ICbHowlers* Port; // ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer > Port )
    TsmPSPort* mPSMessager;

  public:
    Cla_0166_0195( TsmBase* oParent, string sInstanceName )
    {
      TsmName = sInstanceName;
      TsmParent = oParent;
      oFsm_0195_0197 = new Fsm_0195_0197( this );
      TsmPI__Port = new TsmIPort_IHowlers( this );
      mPSMessager = new TsmPSPort();
      mNrFsms = 1;
      oFsms = new TsmFsm*[ 1 ];
      oFsms[ 0 ] = oFsm_0195_0197;
    }

    TsmInterfacePort* GetProvidedInterface( string sPortName )
    {
      if ( sPortName == "Port" )
      {
        return TsmPI__Port;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer )";
      throw TsmException( s );
    }

    void SetRequiredInterface( string sPortName, TsmInterfacePort* oProvidedInterface )
    {
      if ( sPortName == "Port" )
      {
        Port = static_cast<TsmIPort_ICbHowlers*>(oProvidedInterface);
        Port->Source = this;
        return;
      }
      string s;
      s = "No port '" + sPortName + "' @ ( Xmi > Data > Protocols > HowlersProtocol > HowlersServer )";
      throw TsmException( s );
    }

    void ExecuteTrigger( TsmTrigger* oTrigger )
    {
      SnapCall = oTrigger->Snap();
      TsmHandler lHandler( this, oTrigger );
      oFsm_0195_0197->ExecuteTriggerFsm( lHandler );
      SnapCall = "";
      SnapState.clear();
    }
    void Function_1018( TsmHandler& oHandler );
    void Function_1019( TsmHandler& oHandler );
    void Function_1020( TsmHandler& oHandler );
    void Function_1021( TsmHandler& oHandler );
    void TsmInitialise( void* oObject );
    void TsmConnect( void* oObject );
    void TsmPrepare( void* oObject );

    ~Cla_0166_0195()
    {
      delete TsmPI__Port;
      delete mPSMessager;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Protocols > HowlersProtocol )
   ********************************************************************/

   // ( Xmi > Data > Protocols > HowlersProtocol )
  class Pac_0113_0166 : public TsmPackage
  {
  public:
    Pac_0113_0166( TsmBase* oParent )
    {
      TsmName = "HowlersProtocol";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > Protocols )
   ********************************************************************/

   // ( Xmi > Data > Protocols )
  class Pac_0006_0113 : public TsmPackage
  {
  public:
    Pac_0006_0113( TsmBase* oParent )
    {
      TsmName = "Protocols";
      TsmParent = oParent;
    }
  };

  /********************************************************************
   * PACKAGE: ( Xmi > Data > TismStereotypes )
   ********************************************************************/

   // ( Xmi > Data > TismStereotypes )
  class Pac_0006_0222 : public TsmPackage
  {
  public:
    Pac_0006_0222( TsmBase* oParent )
    {
      TsmName = "TismStereotypes";
      TsmParent = oParent;
    }
  };

   // ( Xmi )
  class TsmSystem : public TsmExecComponent
  {
  private:
    Com_0007_0013* ExecEnv1; // ( Xmi > Data > Architecture > ExecEnv1 )

  public:
    TsmSystem( TsmBase* oParent )
    {
      TsmName = "Xmi";
      TsmParent = oParent;
      mNrComponents = 1;
      mComponents = new TsmComponent*[ 1 ];
      ExecEnv1 = new Com_0007_0013( NULL, "ExecEnv1" );
      mComponents[ 0 ] = ExecEnv1;
    }
  };
}
#endif
